Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] gestore aggiornamenti linux mint non funziona
#1
Buon giorno, sono nuova del forum e del mondo di linux. Ho installato quasi un anno fa linux mint 18. Ho un problema col gestore aggiornamenti , l'icona è diventata bianca e fino ad ieri non si apriva in nessun modo, dopo aver fatto da terminale sudo apt-get update  e upgrade si è aperto ma on trova aggiornamenti e mi da questo errore quando tento di cercarli : Il repository potrebbe non essere più disponibile o non più raggiungibile per problemi di rete. Se disponibile, verrà utilizzata una versione vecchia degli indici, altrimenti verrà ignorato. Controllare la connessione di rete e assicurarsi che l'indirizzo inserito nelle preferenze sia corretto.  E sotto mi da il seguente errore :

Codice:
 The repository 'http://archive.getdeb.net/ubuntu sarah-getdeb Release' does not have a Release file.Data from such a repository can't be authenticated and is therefore potentially dangerous to use.See apt-secure(8) manpage for repository creation and user configuration details.Impossibile recuperare http://screenshots.getdeb.net/dists/sarah-getdeb/apps/binary-amd64/Packages  404  Not Found [IP: 104.28.25.125 80]Impossibile recuperare http://giano.com.dist.unige.it/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not FoundImpossibile recuperare http://giano.com.dist.unige.it/ubuntu/dists/xenial-updates/main/binary-amd64/Packages  404  Not FoundImpossibile recuperare http://giano.com.dist.unige.it/ubuntu/dists/xenial-backports/main/binary-amd64/Packages  404  Not FoundImpossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.
Cosa posso fare? vi ringrazio in anticipo
Cita messaggio
Grazie da:
#2
Devi rimuovere quel ppa dai questi comandi nel terminale, uno alla volta e posta l'output.

Codice:
cat -n /etc/apt/sources.list
E
Codice:
ls -1 /etc/apt/sources.list.d
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#3
Per :
Codice:
http://archive.getdeb.net/ubuntu sarah-getdeb Release
vai in Sorgenti Spftware > Repository Aggiuntivi
selezioni la riga e poi l'opzione "modifica URL" che deve diventare :
Codice:
deb http://archive.getdeb.net/ubuntu xenial-getdeb apps
indi aggiorni la cache.

L'altro pare non esistere per amd64:
Codice:
http://giano.com.dist.unige.it/ubuntu/dists/xenial-backports/main/binary-amd64/Packages
ma solo per i386 e quindi, prova così anche se non so se funziona perchè non ci sono pacchetti, ma solo dei files che servono a controllare la correttezza di qualche distro o di pacchetti scaricati per xenial :
Codice:
http://giano.com.dist.unige.it/ubuntu/dists/xenial-backports/main/binary-i386
evidentemente ci deve essere un qualche errore.
Nel caso negativo poi lo disabiliti da Sorgenti Software e aggiorni la cache.

Nel resto poi posta quanto richiesto per vedere se ci sono altri errori.

EDIT : ho modificato sopra correggendo la sintassi.
Cita messaggio
Grazie da:
#4
grazie per le risposte, andando in sorgenti software e cambiando il getdeb come mi avete detto mi esce fuori questo errore dopo che aggiorno la cache mi dice: E: Tipo "http://archive.getdeb.net/ubuntu" non riconosciuto alla riga 1 nel file delle sorgenti /etc/apt/sources.list.d/getdeb.list

E: Impossibile bloccare la directory dell'elenco e poi anche questo : E: Tipo "http://archive.getdeb.net/ubuntu" non riconosciuto alla riga 1 nel file delle sorgenti /etc/apt/sources.list.d/getdeb.list
E: Impossibile leggere l'elenco delle sorgenti.
Correggere il problema nella configurazione del repository.
E: _cache->open() failed, please report.

Invece l'altro http://giano.com.dist.unige.it/ubuntu ce l'ho come repository ufficiale (base xenial) , non mi compare nelle repository aggiuntive e non so come modificarlo dato che mi esce un elenco e non mi da la possibilità di farlo.
Cita messaggio
Grazie da:
#5
Invece l'output da terminale con i comandi che mi ha dato Tuxino :

cat -n /etc/apt/sources.list

     1 #deb cdrom:[Linux Mint 18 _Sarah_ - Release amd64 20160628]/ xenial contrib main non-free

ls -1 /etc/apt/sources.list.d

getdeb.list
google-chrome.list
jd-team-jdownloader-xenial.list
kdenlive-kdenlive-stable-xenial.list
noobslab-apps-xenial.list
official-package-repositories.list
stebbins-handbrake-releases-xenial.list
sunab-kdenlive-release-xenial.list
ubuntuhandbook1-slowmovideo-xenial.list
ubuntu-wine-ppa-xenial.list
wine-wine-builds-xenial.list
Cita messaggio
Grazie da:
#6
allora, devi cambiare il file getdeb.list che punti all'indirizzo giusto , che ti ha dato supertuxkart, edita il file

Codice:
sudo xed /etc/apt/sources.list.d/getdeb.list
e cancella tutto quello che ci trovi e incolla questa

Codice:
deb http://archive.getdeb.net/ubuntu xenial-getdeb apps
fatta la modifica, salva il file e chiudilo.

poi edita il sources.list e imposta il server principale

Codice:
sudo xed /etc/apt/sources.list.d/official-package-repositories.list
cancella tutto e incolla queste

Codice:
deb http://packages.linuxmint.com sarah main upstream import
deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu xenial-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu xenial partner
anche qui, fatta la modifica, salva e chiudi il file e poi dai un update

Codice:
sudo apt update
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da: Rosmar , Rosmar
#7
Il repo :
Codice:
deb http://archive.getdeb.net/ubuntu xenial-getdeb apps
va bene se lo hai installato per le applicazioni come sembra essere dall'output, se lo avevi invece per caso installato per i giochi, altrimenti potrebbe dare errore se la chiave non è la stessa :
Codice:
deb http://archive.getdeb.net/ubuntu xenial-getdeb games
e cambi "apps" in "games" anche dove indicato da tuxino ( Ciao ).

Se poi dovessi avere dei problemi vai alla pagina :
http://www.getdeb.net/updates/ubuntu/16.10/
e scarichi il deb pigiando sulla parola che ho scritto in maiuscolo, 1) Install the GETDEB package, ci clicchi sopra e fa tutto Gdebi che ti dovrebbe installare la versione adatta direttamente.

Sennò va bene come detto sopra.
Cita messaggio
Grazie da: Rosmar , Rosmar
#8
perfetto! ho seguito le vostre istruzioni e adesso funziona di nuovo tutto , grazie mille supertux e tuxino
Cita messaggio
Grazie da:
#9
Per Rosmar ti ricordo il [RISOLTO] così:
http://www.istitutomajorana.it/forum/Ann...nel-Titolo
Cita messaggio
Grazie da:
#10
Perfetto ,messo il risolto, scusate
Cita messaggio
Grazie da: esabatad , esabatad


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)